Send a cost alert test notification
curl --request POST \
--url https://api.example.com/alerts-v2/costAlerts/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notificationChannel": "SLACK",
"slackChannelId": "C06FINOPS42",
"name": "Production compute spend increased 20% week over week",
"condition": "rollingSum(a, 7, DAY) > timeShift(rollingSum(a, 7, DAY), 7, DAY) * 1.2",
"currency": "USD",
"queries": [
{
"type": "cost",
"name": "a",
"alias": "Production AWS compute",
"aggregator": "SUM",
"metricId": "cost",
"currency": "USD",
"groupBy": "cos_service_name",
"whereClause": {
"combinator": "and",
"rules": [
{
"field": "cos_provider",
"operator": "in",
"value": [
"AWS"
]
},
{
"field": "cos_environment",
"operator": "in",
"value": [
"production"
]
},
{
"field": "cos_service_name",
"operator": "in",
"value": [
"AmazonEC2",
"AmazonRDS"
]
}
]
},
"visible": true,
"colorIndex": 0,
"chartType": "LINE"
}
],
"previewRow": {
"effectiveDate": "2026-07-23T00:00:00.000Z",
"valueTriggered": 14872.31,
"groups": [
{
"groupByValue": "AmazonEC2",
"value": 10241.82
},
{
"groupByValue": "AmazonRDS",
"value": 4630.49
}
]
}
}
'import requests
url = "https://api.example.com/alerts-v2/costAlerts/test"
payload = {
"notificationChannel": "SLACK",
"slackChannelId": "C06FINOPS42",
"name": "Production compute spend increased 20% week over week",
"condition": "rollingSum(a, 7, DAY) > timeShift(rollingSum(a, 7, DAY), 7, DAY) * 1.2",
"currency": "USD",
"queries": [
{
"type": "cost",
"name": "a",
"alias": "Production AWS compute",
"aggregator": "SUM",
"metricId": "cost",
"currency": "USD",
"groupBy": "cos_service_name",
"whereClause": {
"combinator": "and",
"rules": [
{
"field": "cos_provider",
"operator": "in",
"value": ["AWS"]
},
{
"field": "cos_environment",
"operator": "in",
"value": ["production"]
},
{
"field": "cos_service_name",
"operator": "in",
"value": ["AmazonEC2", "AmazonRDS"]
}
]
},
"visible": True,
"colorIndex": 0,
"chartType": "LINE"
}
],
"previewRow": {
"effectiveDate": "2026-07-23T00:00:00.000Z",
"valueTriggered": 14872.31,
"groups": [
{
"groupByValue": "AmazonEC2",
"value": 10241.82
},
{
"groupByValue": "AmazonRDS",
"value": 4630.49
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notificationChannel: 'SLACK',
slackChannelId: 'C06FINOPS42',
name: 'Production compute spend increased 20% week over week',
condition: 'rollingSum(a, 7, DAY) > timeShift(rollingSum(a, 7, DAY), 7, DAY) * 1.2',
currency: 'USD',
queries: [
{
type: 'cost',
name: 'a',
alias: 'Production AWS compute',
aggregator: 'SUM',
metricId: 'cost',
currency: 'USD',
groupBy: 'cos_service_name',
whereClause: {
combinator: 'and',
rules: [
{field: 'cos_provider', operator: 'in', value: ['AWS']},
{field: 'cos_environment', operator: 'in', value: ['production']},
{field: 'cos_service_name', operator: 'in', value: ['AmazonEC2', 'AmazonRDS']}
]
},
visible: true,
colorIndex: 0,
chartType: 'LINE'
}
],
previewRow: {
effectiveDate: '2026-07-23T00:00:00.000Z',
valueTriggered: 14872.31,
groups: [
{groupByValue: 'AmazonEC2', value: 10241.82},
{groupByValue: 'AmazonRDS', value: 4630.49}
]
}
})
};
fetch('https://api.example.com/alerts-v2/costAlerts/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Test notification sent successfully"
}{
"error": "<string>"
}{
"error": "<string>"
}Alerts V2
Send a cost alert test notification
POST
/
alerts-v2
/
costAlerts
/
test
Send a cost alert test notification
Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Body
application/json
- Option 1
- Option 2
- Option 3
Available options:
EMAIL Minimum array length:
1Minimum string length:
1Minimum string length:
1Available options:
USD, EUR, GBP, CNY - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Test notification sent
Available options:
Test notification sent successfully Last modified on August 10, 2026
Was this page helpful?
⌘I
